use serde::{Deserialize, Serialize};

#[derive(Debug, Deserialize, Serialize)]
#[serde(rename_all = "PascalCase")]
pub struct SimpleMod {
    pub name: String,
    pub category: String,
    pub full_path: String,
    pub dat_file: String,
    #[serde(default)]
    pub is_default: bool,
    pub mod_offset: usize,
    pub mod_size: usize,
    #[serde(default)]
    pub mod_pack_entry: Option<serde_json::Value>,
}
